
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_production_order_split_textinsert")]
    public class BaseProductionOrderSplitTextinsert
    {

        [Key]
        [Column("id")]
        public string id { get; set; }

        [Column("site_code")]
        public string siteCode { get; set; }

        /// <summary>
        /// 线体编码
        /// </summary>
        [Column("line_code")]
        public string lineCode { get; set; }

        /// <summary>
        /// 线体名称
        /// </summary>
        [Column("line_name")]
        public string lineName { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [Column("order_code")]
        public string orderCode { get; set; }

        /// <summary>
        /// 产品编码
        /// </summary>
        [Column("prod_code")]
        public string prodCode { get; set; }

        /// <summary>
        /// 产品名称
        /// </summary>
        [Column("prod_desc")]
        public string prodDesc { get; set; }

        /// <summary>
        /// 订单是否完成0未完成1完成
        /// </summary>
        [Column("IsOver")]
        public int? isover { get; set; }

        /// <summary>
        /// 计划开始时间
        /// </summary>
        [Column("est")]
        public DateTime? est { get; set; }

        /// <summary>
        /// 计划数量
        /// </summary>
        [Column("Quantity")]
        public int? quantity { get; set; }

        /// <summary>
        /// 可用计划数
        /// </summary>
        [Column("available_quantity")]
        public int? availableQuantity { get; set; }

        /// <summary>
        /// 上线数量
        /// </summary>
        [Column("online_quantity")]
        public int? onlineQuantity { get; set; }

        /// <summary>
        /// 下线数量
        /// </summary>
        [Column("ActualQuantity")]
        public int? actualquantity { get; set; }

        [Column("UpQuantity")]
        public int? upquantity { get; set; }

        /// <summary>
        /// 出库数量
        /// </summary>
        [Column("OutWareHouseQuantity")]
        public int? outwarehousequantity { get; set; }

        [Column("DownQuantity")]
        public int? downquantity { get; set; }

        /// <summary>
        /// 排产时间
        /// </summary>
        [Column("scheduling_time")]
        public DateTime? schedulingTime { get; set; }

        /// <summary>
        /// 拆单状态:0正在拆单，1正常
        /// </summary>
        [Column("split_status")]
        public string splitStatus { get; set; }

        /// <summary>
        /// 订单生产顺序
        /// </summary>
        [Column("production_sequence")]
        public int? productionSequence { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_date")]
        public DateTime? createDate { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [Column("last_update_date")]
        public DateTime? lastUpdateDate { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 最后更新人
        /// </summary>
        [Column("last_update_by")]
        public string lastUpdateBy { get; set; }

        /// <summary>
        /// 父订单id
        /// </summary>
        [Column("parent_order_id")]
        public string parentOrderId { get; set; }

        /// <summary>
        /// 0非源订单，1源订单
        /// </summary>
        [Column("is_source")]
        public string isSource { get; set; }

        /// <summary>
        /// 0未同步，1已同步
        /// </summary>
        [Column("is_sync")]
        public string isSync { get; set; }

        /// <summary>
        /// 0为未完成，1为已完成
        /// </summary>
        [Column("is_completed")]
        public string isCompleted { get; set; }

        /// <summary>
        /// 企业编码
        /// </summary>
        [Column("Enterprise_Code")]
        public string enterpriseCode { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        [Column("Active")]
        public string active { get; set; }

        /// <summary>
        /// 工厂Id
        /// </summary>
        [Column("Site_Id")]
        public string siteId { get; set; }

        /// <summary>
        /// 企业Id
        /// </summary>
        [Column("Enterprise_Id")]
        public string enterpriseId { get; set; }

        /// <summary>
        /// 条码区间
        /// </summary>
        [Column("min_max_barcode")]
        public string minMaxBarcode { get; set; }
    }
}

